Package com.mockobjects

# Class ExpectationCounter

java.lang.Object
com.mockobjects.AbstractExpectation
com.mockobjects.ExpectationCounter

All Implemented Interfaces:
  `Expectation`, `Verifiable`

public class ExpectationCounter extends AbstractExpectation

## Constructor Summary

Constructors
Constructor
Description
`ExpectationCounter(String name)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clearActual()`
`void`
`inc()`
`void`
`setExpected(int expectedCalls)`
`void`
`setExpectNothing()`
Tell the object to expect nothing to happen to it, perhaps because the test is exercising the handling of an error.
`void`
`verify()`
Throw an AssertionFailedException if any expectations have not been met.

### Methods inherited from class com.mockobjects.AbstractExpectation

`hasExpectations, setFailOnVerify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpectationCounter

public ExpectationCounter(String name)

## Method Details

### clearActual

public void clearActual()

Specified by:
  `clearActual` in class `AbstractExpectation`

### inc

public void inc()

### setExpected

public void setExpected(int expectedCalls)

### setExpectNothing

public void setExpectNothing()
Description copied from interface: `Expectation`
Tell the object to expect nothing to happen to it, perhaps because the test is exercising the handling of an error. The Expectation will fail if any actual values are set. Note that this is not the same as not setting any expectations, in which case verify() will do nothing.

### verify

public void verify()
Description copied from interface: `Verifiable`
Throw an AssertionFailedException if any expectations have not been met.

Specified by:
  `verify` in interface `Verifiable`
Specified by:
  `verify` in class `AbstractExpectation`